#
# spec file for package libdrm
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           libdrm
Url:            http://dri.sf.net
Version:        2.4.52
Release:        0.7.1
Provides:       libdrm23 = %{version}
Obsoletes:      libdrm23 < %{version}
# bug437293
%ifarch ppc64
Obsoletes:      libdrm-64bit < %{version}
Provides:       libdrm-64bit = %{version}
%endif
#
Summary:        Userspace Interface for Kernel DRM Services
License:        X11/MIT
Group:          System/Libraries

#Git-Clone:	git://anongit.freedesktop.org/git/mesa/drm
#Git-Web:	http://cgit.freedesktop.org/mesa/drm/
Source:         http://dri.freedesktop.org/libdrm/%{name}-%{version}.tar.bz2
Source2:        baselibs.conf
# PATCH-FIX-UPSTREAM libdrm-implicit-defs.diff fdo#48599 -- Fix compiler warnings in tests/radeon/radeon_ttm.c
Patch1:         libdrm-implicit-defs.diff
Patch2:         u_Fix-compilation-on-systems-that-don-t-provide-O_CLOE.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  autoconf >= 2.63
BuildRequires:  automake >= 1.10
BuildRequires:  libtool >= 2.2
BuildRequires:  pkgconfig
BuildRequires:  xorg-x11-devel

%description
The package containts the userspace interface to the kernel DRM
services.



Authors:
--------
    Daryll Strauss <daryll@valinux.com>
    Dave Airlie <airlied@linux.ie>
    Eric Anholt <anholt@FreeBSD.org>
    Frank C. Earl <fearl@airmail.net>
    Gareth Hughes <gareth@valinux.com>
    Greg Kroah-Hartman <greg@kroah.com>
    Jeff Hartmann <jhartmann@valinux.com>
    Jens Owen <jens@tungstengraphics.com>
    Jon Smirl <jonsmirl@gmail.com>
    Jose Fonseca <jrfonseca@tungstengraphics.com>
    Keith Whitwell <keith@tungstengraphics.com>
    Kevin E. Martin <martin@valinux.com>
    Leif Delgass <ldelgass@retinalburn.net>
    Matthew J Sottek <matthew.j.sottek@intel.com>
    Michel Daenzer <michel@daenzer.net>
    Nicolai Haehnle <prefect_@gmx.net>
    Paul Mackerras <paulus@samba.org>
    Richard Henderson <rth@twiddle.net>
    Rickard E. (Rik) Faith <faith@valinux.com>
    Sung-Ching Lin <sclin@sis.com.tw>
    Terry Barnaby <terry1@beam.ltd.uk>
    Thomas Hellstrom <unichrome@shipmail.org>
    Torsten Duwe <duwe@caldera.de>

%package devel
License:        X11/MIT
Summary:        Libraries, includes and more to develop libdrm applications
Group:          System/Libraries
Requires:       libdrm = %{version} glibc-devel
# bug437293
%ifarch ppc64
Obsoletes:      libdrm-devel-64bit < %{version}
Provides:       libdrm-devel-64bit = %{version}
%endif

%description devel
The package containts the userspace interface to the kernel DRM
services.



Authors:
--------
    Daryll Strauss <daryll@valinux.com>
    Dave Airlie <airlied@linux.ie>
    Eric Anholt <anholt@FreeBSD.org>
    Frank C. Earl <fearl@airmail.net>
    Gareth Hughes <gareth@valinux.com>
    Greg Kroah-Hartman <greg@kroah.com>
    Jeff Hartmann <jhartmann@valinux.com>
    Jens Owen <jens@tungstengraphics.com>
    Jon Smirl <jonsmirl@gmail.com>
    Jose Fonseca <jrfonseca@tungstengraphics.com>
    Keith Whitwell <keith@tungstengraphics.com>
    Kevin E. Martin <martin@valinux.com>
    Leif Delgass <ldelgass@retinalburn.net>
    Matthew J Sottek <matthew.j.sottek@intel.com>
    Michel Daenzer <michel@daenzer.net>
    Nicolai Haehnle <prefect_@gmx.net>
    Paul Mackerras <paulus@samba.org>
    Richard Henderson <rth@twiddle.net>
    Rickard E. (Rik) Faith <faith@valinux.com>
    Sung-Ching Lin <sclin@sis.com.tw>
    Terry Barnaby <terry1@beam.ltd.uk>
    Thomas Hellstrom <unichrome@shipmail.org>
    Torsten Duwe <duwe@caldera.de>

%prep
%setup -q
%patch1 -p1
%patch2 -p1

%build
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
autoreconf -fi
%configure --with-pic --enable-vmwgfx-experimental-api \
%ifarch %arm
	   --enable-omap-experimental-api \
%endif
	   --enable-udev

make %{?_smp_mflags}
make %{?_smp_mflags} -C tests dristat drmstat

%check
make %{?_smp_mflags} -C tests check-am

%install
make install DESTDIR=$RPM_BUILD_ROOT
make -C tests/modeprint install DESTDIR=$RPM_BUILD_ROOT
make -C tests/modetest install DESTDIR=$RPM_BUILD_ROOT
rm -f "%buildroot/%_libdir"/*.la
%{__mkdir} -p $RPM_BUILD_ROOT/usr/bin
%{__install}  \
    tests/.libs/dristat \
    tests/.libs/drmstat \
    tests/modeprint/.libs/modeprint \
    tests/modetest/.libs/modetest $RPM_BUILD_ROOT/usr/bin

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
#%{_mandir}/man3/*.3.gz

%changelog
* Mon Nov 24 2014 tiwai@suse.de
- Update to version 2.4.52 for supporting BayTrail (FATE#317933, bnc#930085)
- Drop obsoleted patches:
  U_intel-0x041E.patch
  U_intel-Add-support-for-VEBOX-ring-v2.patch
* Wed Oct 30 2013 tiwai@suse.de
- U_intel-Add-support-for-VEBOX-ring-v2.patch:
  * Add support for VEBOX ring (bnc#831103)
* Wed Aug 14 2013 sndirsch@suse.com
- U_intel-0x041E.patch
  * adds support for Haswell ID 0x041E (bnc#834116)
* Thu Jan 17 2013 sndirsch@suse.com
- Update to version 2.4.40:
  + radeon: add some new SI pci ids
  + radeon: fix unused-function warning
  + intel: Fix "properly test for HAS_LLC"
  + intel: Correct the word decoding for gen2 3DSTATE_LOAD_STATE_IMMEDIATE_1
  + configure.ac: Allow forcible disabling of Cairo support
  + intel: properly test for HAS_LLC
  + fix make distcheck
  + vmwgfx: No longer experimental
  + intel: add support for ValleyView
  + libdrm: man page infrastructure and a few sample man pages
  + intel: Mark bo's exported to prime as not reusable
  + libkms: link against libdrm
  + radeon: don't take the stencil-specific codepath for buffers without
    stencil
  + radeon: don't force stencil tile split to 0
  + radeon: fix stencil miptree allocation of combined ZS buffers on EG and
    SI
  + radeon: fix tile_split of 128-bit surface formats with 8x MSAA
  + radeon: Fix layout of linear aligned mipmaps on SI.
  + radeon: Memory footprint of SI mipmap base level is padded to powers of
    two.
  + radeon: Sampling pitch for non-mipmaps seems padded to slice alignment
    on SI.
  + initialize width/height fields in drmModeCrtc
  + omap: release lock also on error paths
* Thu Nov  8 2012 sndirsch@suse.com
- update to release 2.4.40
  * The reason is we need to use the radeon stencil mipmap
    allocator for combined depth-stencil buffers in Mesa.
* Thu Oct 18 2012 tiwai@suse.de
- Update to version 2.4.39 for supporting Haswell graphics
  (FATE#313712)
  * taken from 12.2/FACTORY but without package splits
  * u_Fix-compilation-on-systems-that-don-t-provide-O_CLOE.patch:
    Fix compilation on systems that don't provide O_CLOEXEC.
    Patch suggestion by Thomas Klausner <wiz%%NetBSD.org@localhost>.
    See also http://mail-index.netbsd.org/pkgsrc-changes/2012/08/13/msg076887.html
* Tue Dec  6 2011 sndirsch@suse.com
- libdrm 2.4.27
  * 2.4.27 is part of Intel 2011Q4 graphics package together with
    Mesa 7.11.2 and xf86-video-intel 2.17.0. It contains API
    changes required by Mesa and misc fixes.
* Tue Aug  2 2011 sndirsch@novell.com
- resolve build cylce by requiring libpciacces0-devel instead of
  xorg-x11-devel (libpciaccess0 is now a seperate package with own
  sources)
* Mon Jul 18 2011 sndirsch@novell.com
- libdrm 2.4.26
  * required for latest intel X driver with Ivybridge support
- adjusted enable_test_tools.diff
- obsoletes intel-Export-CONSTANT_BUFFER-addressing-mode.patch
- added xorg-x11-devel to buildrequires due to new dependancy to
  libpciaccess (aware: build cycle to be expected!)
* Wed Jun 29 2011 eich@suse.de
- do_not_call_openbyname_if_busid_is_given.diff:
  Do not call drmOpenByName() when BusID is specified. If
  drmOpenByBusid() fails it is likely that the chipset under
  this BusID is not supported by the drm driver.
* Wed Jan  5 2011 sndirsch@novell.com
- intel-Export-CONSTANT_BUFFER-addressing-mode.patch
  * intel: Export CONSTANT_BUFFER addressing mode
* Sun Dec 12 2010 sndirsch@novell.com
- libdrm 2.4.23
  * drm: don't do the create the node ourselves if we have udev.
  * intel: Reorder need_fence vs fenced_command to avoid fences on
    gen4
  * tests: Update for ENOENT returns from unknown handles
* Sun Dec  5 2010 sndirsch@novell.com
- updated to git master commit #af3d282 (2010-12-03, still 2.4.22)
- obsoletes intel-initialize-bufmgr.bo_mrb_exec-unconditionally.patch
* Mon Nov  8 2010 sndirsch@novell.com
- intel-initialize-bufmgr.bo_mrb_exec-unconditionally.patch
  * no longer require kernels without BLT ring support (which came
    not before 2.6.37rc1 for SandyBridge)
* Sat Nov  6 2010 sndirsch@novell.com
- updated to git master commit #a52e61b (2010-11-02, still 2.4.22)
* Tue Nov  2 2010 sndirsch@novell.com
- updated to git master commit #d0a4f2e (2010-10-31, still 2.4.22)
* Fri Oct  8 2010 sndirsch@novell.com
- Update to libdrm 2.4.22 (required for intel driver 2.13.0)
  * intel: Suppress the error return from setting domains after
    mapping.
  * Purge macro NEED_REPLIES
  * drm mode: Return -errno on drmIoctl() failure
  * Copy headers from kernel drm-core-next
  * libdrm: Fix PCI domain domain support
  * nouveau: accept both 0.0.16 and 1.x.x
  * Free the property blob along the error path.
  * Avoid use of c++ reserved keyword "virtual" when using a C++
    compiler.
  * modetest: add edp and TV connector names to the connector name
    array
  * modetest: align fb pitch to 64 bytes
  * modetest: Fix drawing routines to use stride.
  * nouveau: fix thinko in drm version check
  * nouveau: fix drm version check some more
  * intel: Replace open-coded drmIoctl with calls to drmIoctl()
- %%configure
  * removed obsolete option --enable-radeon-experimental-api
  * added option --enable-vmwgfx-experimental-api
* Tue Jul 13 2010 mhopf@novell.com
- Update to libdrm 2.4.21 (fate #310133)
  * required for intel driver 2.12.0
  * added nouveau driver
  * added kms wrapper library driver
- Update to git #726210f
  * various tiling related fixes for intel
- adjusted enable_test_tools.diff
* Wed Mar 31 2010 mhopf@novell.com
- libdrm-intel-d1308f4+85fb3e5+e6c136c+04f90a4-getXXX-retry.diff
  * Fix xserver crashes due to race conditions in getResources & co.
    (bnc #590596, 590596, 590596)
- libdrm-intel-fdcde59-Account-for-potential-pinned-buffers-hogging.patch
  * Fix potential kernel oopses
* Wed Feb 17 2010 sndirsch@suse.de
- libdrm-commit-4f0f871.diff
  * fixes a bug in the intel support which was causing dramatic
    failures with at least version 2.10 of the xf86-video-intel
    driver (bfo #25475, bfo #25554, bnc #579489)
* Wed Jan  6 2010 sndirsch@suse.de
- update to libdrm 2.4.17, which is part of Intel 2009Q4 release
* Fri Dec 11 2009 sndirsch@suse.de
- libdrm 2.4.16; changes since 2.4.15_2009-12-01_8ffd2e1:
  * intel: Remove the extra reference while validating the reloc
    tree
  * intel: Make bo_reference() inline for internal use.
  * intel: Review use of errno.
  * intel: Repeat execbuffer after EINTR
  * intel: Check and propagate errors from building reloc-tree
  * intel: Free memory before inserting bo into cache.
  * Enable experimental APIs for distcheck
  * Bump to 2.4.16 for release
* Tue Dec  1 2009 sndirsch@suse.de
- libdrm 2.4.15_2009-12-01_8ffd2e1
  * update to git commit 8ffd2e1 (2009-12-01); required for
    xf86-video-intel 2.10 RC1
- adjusted enable_test_tools.diff
* Wed Nov 18 2009 sndirsch@suse.de
- This libdrm package update is part of the X stack update for
  SLE11-SP1 (FATE #307236)
* Thu Oct 29 2009 sndirsch@suse.de
- enable_test_tools.diff
  * enabled build of test tools (dristat, drmstat, modeprint,
    modeset)
* Wed Oct 28 2009 crrodriguez@opensuse.org
- libdrm-devel requires glibc-devel.
* Tue Sep 29 2009 sndirsch@suse.de
- libdrm 2.4.14
  * intel: adds support for G41, B43 and Ironlake
* Sat May 16 2009 sndirsch@suse.de
- libdrm 2.4.11
  * Two releases in one, so twice the usual tiny amount of changes.
    Both of the new libdrm_intel interfaces enable KMS fixes in the
    Intel 2D driver.
- enabled build of Nouveau's experimental API
* Sat Apr 18 2009 sndirsch@suse.de
- libdrm 2.4.9
  * Aka, the "kick jbarnes" release.  Not only did I push the
    broken speedup patch but I flubbed the version bump, so we get
    to go from 2.4.7 to 2.4.9.  Yay for me.
* Fri Apr 10 2009 sndirsch@suse.de
- libdrm 2.4.7
  * quick follow on release to 2.4.6 to fix an embarrasing
    build problem in the test suite when libudev is not available.
- obsoletes libdrm-commit-1faab66.diff
* Tue Apr  7 2009 sndirsch@suse.de
- libdrm 2.4.6
  * various fixes
- libdrm-commit-1faab66.diff
  * fixes build of 2.4.6
* Wed Feb 25 2009 sndirsch@suse.de
- libdrm 2.4.5
* Fri Jan 23 2009 sndirsch@suse.de
- Provides/Obsolete: libdrm23, i.e. get rid of confusing SLE10
  packages (bnc #468796)
* Wed Jan  7 2009 olh@suse.de
- obsolete old -XXbit packages (bnc#437293)
* Fri Oct 31 2008 sndirsch@suse.de
- libdrm 2.4.1
  * New libdrm release to fix the symbol name collision between
    Mesa 7.2 and libdrm_intel.  Also includes a fix for deadlock
    in non-GEM 2D, and support for aperture size checking in GEM.
  * Changes since commit a59ea02
  - intel: Rename dri_ and intel_ symbols to drm_intel_.
  - intel: Add dri_bufmgr_check_aperture support for bufmgr_gem.
  - nv50: symlink nv50_grctx.h to linux-core...
  - nv50: move context-related tables a separate header file
  - drm: missing init_mm symbol, compatibility fix
  - i915: Since FreeBSD doesn't have gem support yet, don't
    advertise it.
  - radeon: fix error in busmaster enable logic
  - radeon: fix some fallout from the busmaster disable cleanup
  - drm/i915: fix ioremap of a user address for non-root
    (CVE-2008-3831)
  - intel: Also total child_size of the target_bos. Partial fix
    [#17964].
  - [FreeBSD] We should use dev2unit() rather than minor()
  - [FreeBSD] This check isn't correct and causes at least mga
    to lockup.
* Tue Oct 21 2008 sndirsch@suse.de
- update to git commit a59ea02 (=2.4.1, Intel-2008-Q3-RC5)
  * avoid deadlock in intel_bufmgr_fake.
  * ioctl is not defined to return -errno. Don't count on ioctl
    returning -errno; use errno directly.
* Sun Oct 19 2008 sndirsch@suse.de
- libdrm 2.4.0 finally available
* Thu Oct  9 2008 sndirsch@suse.de
- updated to git commit ce40261, which is required by latest
  xf86-video-intel driver (Intel-2008-Q3-RC3)
* Fri Sep 26 2008 sndirsch@suse.de
- updated to git commit 2db8e0c, which is required by latest
  xf86-video-intel driver (Intel-2008-Q3-RC2)
* Wed Sep 24 2008 sndirsch@suse.de
- updated to git commit 973c634, which is required by latest
  xf86-video-intel driver (Intel-2008-Q3-RC1)
* Sun Aug 17 2008 sndirsch@suse.de
- updated to 2.4.0 prerelease (git commit a5381ca)
* Fri Jul  4 2008 sndirsch@suse.de
- updated to release 2.3.1
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Thu Dec 27 2007 crrodriguez@suse.de
- fix library-without-ldconfig-postun warning
- libdrm.la had an empty dependency_libs, removed.
* Sat Dec  2 2006 sndirsch@suse.de
- updated to 2.3.0 (required by X.Org (Server) 7.2 RC3)
* Fri Jul 28 2006 sndirsch@suse.de
- use "-fno-strict-aliasing"
* Thu Jul 27 2006 sndirsch@suse.de
- use $RPM_OPT_FLAGS
* Wed Jun 28 2006 sndirsch@suse.de
- updated to 2.0.2
  * various bugfixes in libdrm
* Wed Jun 21 2006 sndirsch@suse.de
- updated to current CVS (2006-06-21)
* Sat Apr 15 2006 sndirsch@suse.de
- updated to 2.0.1
  * various bugfixes in libdrm
* Sat Feb  4 2006 aj@suse.de
- xorg-x11-devel is not needed for build.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Dec 23 2005 mls@suse.de
- Require main package in devel subpackage
* Wed Nov 30 2005 sndirsch@suse.de
- update to 2.0 branch (2005-11-30)
* Tue Nov  1 2005 sndirsch@suse.de
- updated to 1.0.5 (version Bump for new via header)
* Sat Oct 29 2005 sndirsch@suse.de
- call ldconfig in %%post
* Tue Oct 25 2005 sndirsch@suse.de
- updated to CVS 051025 (required for Mesa 6.4)
* Tue Oct  4 2005 sndirsch@suse.de
- added libdrm.so to filelist
* Sun Oct  2 2005 sndirsch@suse.de
- created package
